package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesPartCheckDetail;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesPersonCheckDetail;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesWorkOrderExt;
import cn.estsh.i3plus.ext.mes.pojo.model.PartCheckDetailModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface IMesPartCheckDetailService {

    /**
     * @return cn.estsh.i3plus.pojo.base.bean.ListPager<cn.estsh.i3plus.ext.mes.pojo.model.PartCheckDetailModel>
     * @Description: 按条件分页查询物料点检单明细
     * @Param [model, pager]
     * @Date 2021/9/6 11:04
     **/
    @ApiOperation(value = "按条件分页查询物料点检单明细", notes = "按条件分页查询物料点检单明细")
    ListPager<PartCheckDetailModel> queryMesPartCheckDetail(MesPartCheckDetail detail, Pager pager);

    /**
     * 更新物料点检作业明细
     *
     * @param partCheckDetailList
     * @param userName
     */
    @ApiOperation(value = "更新物料点检作业明细", notes = "更新物料点检作业明细")
    void updatePartCheckById(List<PartCheckDetailModel> partCheckDetailList, String userName);

    /**
     * 班组确认
     *
     * @param ids
     * @param shiftGroupCheck
     * @return
     */
    int updateShiftGroupCheck(String[] ids, Integer shiftGroupCheck);

    /**
     * 品质确认
     *
     * @param ids
     * @param qualityCheck
     * @return
     */
    int updateQualityCheck(String[] ids, Integer qualityCheck);

    /**
     * @param orderNo
     * @param orderStatus
     * @param itemPartNo
     * @return
     */
    int orderStatusCheckUpdate(String orderNo, Integer orderStatus, String itemPartNo);
}
