package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesBadCell;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesBadCellDetail;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesProdUnbindRecord;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:报表查询
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\13 13:56
 * @Modify:
 **/
public interface IReportExtService {

    /**
     * 工位不良主表数据
     *
     * @param mesBadCell 工位不良信息
     * @param pager 分页
     * @return 工位不良主表集合
     */
    @ApiOperation(value = "工位不良主表数据", notes = "工位不良主表数据")
    ListPager<MesBadCell> queryMesBadCell(MesBadCell mesBadCell, Pager pager);

    /**
     * 工位不良明细表数据
     *
     * @param mesBadCellDetail 工位不良明细表数据
     * @return 工位不良明细表集合
     */
    @ApiOperation(value = "工位不良明细表数据", notes = "工位不良明细表数据")
    List<MesBadCellDetail> findMesBadCellDetail(MesBadCellDetail mesBadCellDetail);

    /**
     * 本体条码解绑记录
     *
     * @param prodUnbindRecord 本体条码解绑
     * @param pager 分页
     * @return 本体条码解绑集合
     */
    @ApiOperation(value = "工位不良明细表数据", notes = "工位不良明细表数据")
    ListPager<MesProdUnbindRecord> queryProdUnbindRecord(MesProdUnbindRecord prodUnbindRecord, Pager pager);
}
