package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesFourMDetail;
import cn.estsh.i3plus.ext.mes.pojo.model.FourMDetailModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IFourMDetailDao {

    /**
     * 查询4M管理信息数量
     * @param fourMDetail 查询条件
     * @return 4M管理信息数量
     */
    @ApiOperation(value = "查询4M管理信息数量", notes = "查询4M管理信息数量")
    int queryFourMDetailByPagerCount(MesFourMDetail fourMDetail);

    /**
     * 查询4M管理信息集合
     * @param fourMDetail 查询条件
     * @param pager 分页条件
     * @return 4M管理信息集合
     */
    @ApiOperation(value = "查询4M管理信息集合", notes = "查询4M管理信息集合")
    List<FourMDetailModel> queryFourMDetailByPager(MesFourMDetail fourMDetail, Pager pager);
}
