package cn.estsh.i3plus.ext.mes.apiservice.dao.jx;

import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOqcCheckDetailReportModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOqcCheckReportModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOqcCheckStatisticsReportModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IJxOqcCheckReportDao {

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验报表信息集合
     */
    @ApiOperation(value = "出货检验月报日报", notes = "出货检验月报日报")
    List<JxOqcCheckReportModel> queryUnQcOqcCheckListByPart(JxOqcCheckStatisticsReportModel model);

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验报表信息集合
     */
    @ApiOperation(value = "出货检验项目明细", notes = "出货检验项目明细")
    List<JxOqcCheckDetailReportModel> queryOqcCheckDetailReportPager(JxOqcCheckDetailReportModel model, Pager pager);

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验报表信息集合
     */
    @ApiOperation(value = "出货检验项目明细数量", notes = "出货检验项目明细数量")
    int queryOqcCheckDetailReportPagerCount(JxOqcCheckDetailReportModel model);

}
