package cn.estsh.i3plus.ext.mes.apiservice.dao.jx;

import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOqcCheckStatisticsReportModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOqcLastCheckDetailReportModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.JxOutPutStatisticsQtyModel;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.OqcLastCheckModel;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IJxOutPutStatisticsDao {

    /**
     * 查询总检验结果数量
     * @param model 查询信息
     * @return 总检验结果数量
     */
    int queryOutPutStatisticsOqcByPagerCount(OqcLastCheckModel model);

    /**
     * 查询SOP信息集合
     * @param model 查询信息
     * @param pager 分页条件
     * @return SOP信息集合
     */
    List<OqcLastCheckModel> queryOutPutStatisticsOqcByPager(OqcLastCheckModel model, Pager pager);

    /**
     * 出货检验结果明细报表数量
     * @param model 查询条件
     * @return 出货检验结果明细报表数量
     */
    int queryOqcLastCheckDetailPagerCount(JxOqcLastCheckDetailReportModel model);

    /**
     * 出货检验结果明细报表
     * @param model 查询条件
     * @param pager 分页条件
     * @return 出货检验结果明细报表
     */
    List<JxOqcLastCheckDetailReportModel> queryOqcLastCheckDetailPager(JxOqcLastCheckDetailReportModel model, Pager pager);

    /**
     * 出货检验月报日报
     * @param model 查询条件
     * @return 出货检验月报日报
     */
    List<JxOqcCheckStatisticsReportModel> queryOqcCheckStatisticsList(JxOqcCheckStatisticsReportModel model);

    /**
     * BU产量统计班次完工数量
     * @param model 查询条件
     * @return BU产量统计班次完工数量
     */
    List<JxOutPutStatisticsQtyModel> queryOutPutStatisticsListByPart(JxOutPutStatisticsQtyModel model);
}
