package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("4M管理Model")
public class FourMDetailModel implements Serializable {

    private static final long serialVersionUID = -3032084592449081752L;

    @ApiParam("id")
    private Long id;

    @ApiParam("管理类型")
    private Integer manageType;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    public String workCellCode;

    @ApiParam("变化前内容")
    private String beforeContent;

    @ApiParam("变化后内容")
    private String afterContent;

    @ApiParam("项目管理代码")
    private String manageCode;

    @ApiParam("项目管理内容")
    private String manageContent;

    @ApiParam("项目确认代码")
    private String confirmCode;

    @ApiParam("项目确认内容")
    private String confirmContent;

    @ApiParam("首件品")
    private String fristProduct;

    @ApiParam("异常处理后内容")
    private String handlerContent;

    @ApiParam("班组确认人")
    private String teamConfirmUser;

    @ApiParam("班组确认时间")
    private String teamConfirmTime;

    @ApiParam("品质确认人")
    private String qualityConfirmUser;

    @ApiParam("品质确认时间")
    private String qualityConfirmTime;

    @ApiParam("是否班组确认")
    private Integer isTeamConfirm;

    @ApiParam("是否品质确认")
    private Integer isQualityConfirm;

    @ApiParam(value = "物料编号")
    public String partNo;

    @ApiParam(value = "物料名称")
    public String partNameRdd;

    @ApiParam("记录时间")
    private String modifyDatetime;

    @ApiParam(value = "班组确认名称")
    public String shiftGroupCheckName;

    @ApiParam(value = "品质确认名称")
    public String qualityCheckName;

    @ApiParam("管理类型名称")
    private String manageTypeName;

    public FourMDetailModel() {}

    public FourMDetailModel(Long id, Integer manageType, String orderNo, String workCenterCode, String workCellCode, String beforeContent, String afterContent, String manageCode,
                            String manageContent, String confirmCode, String confirmContent, String fristProduct, String handlerContent, String teamConfirmUser,
                            String teamConfirmTime, String qualityConfirmUser, String qualityConfirmTime, Integer isTeamConfirm, Integer isQualityConfirm,
                            String modifyDatetime, String partNo, String partNameRdd) {
        this.id = id;
        this.manageType = manageType;
        this.orderNo = orderNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.beforeContent = beforeContent;
        this.afterContent = afterContent;
        this.manageCode = manageCode;
        this.manageContent = manageContent;
        this.confirmCode = confirmCode;
        this.confirmContent = confirmContent;
        this.fristProduct = fristProduct;
        this.handlerContent = handlerContent;
        this.teamConfirmUser = teamConfirmUser;
        this.teamConfirmTime = teamConfirmTime;
        this.qualityConfirmUser = qualityConfirmUser;
        this.qualityConfirmTime = qualityConfirmTime;
        this.isTeamConfirm = isTeamConfirm;
        this.isQualityConfirm = isQualityConfirm;
        this.modifyDatetime = modifyDatetime;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
    }
}
