package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验月报日报model")
public class OqcCheckStatisticsModel implements Serializable {

    private static final long serialVersionUID = 957013217325947791L;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("产品类别")
    private String categoryCode3;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("销售向")
    private String salesTo;

    @ApiParam("生产批量数")
    private Integer workTimesQty;

    @ApiParam("检验批量数")
    private Integer lastCheckedOty;

    @ApiParam("检验台数")
    private Double checkAmountQty;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("抽样率")
    private String sampleRate;

    @ApiParam("缺点数")
    private Integer unQcQty;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("抽检数量")
    private Double spotCheckQty;

    @ApiParam("销售向")
    private String salesToName;

    public OqcCheckStatisticsModel() {}

    public OqcCheckStatisticsModel(String partNo, String partNameRdd, String workTime, Double spotCheckQty, Integer checkResult, Double qty, String salesTo, String categoryCode3) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.workTime = workTime;
        this.spotCheckQty = spotCheckQty;
        this.checkResult = checkResult;
        this.qty = qty;
        this.salesTo = salesTo;
        this.categoryCode3 = categoryCode3;
    }

}
